### Struct

# GObject Parameter

deprecated: 2.54 since: 2.0

#### Description

    struct GParameter {
      const gchar* name;
      GValue value;
    }

The GParameter struct is an auxiliary structure used to hand parameter name/value pairs to g_object_newv().

###### Structure members

`name`

  The parameter name.

`value`

  The parameter value.

Available since: 2.0

Deprecated since: 2.54

This type is not introspectable.